CREATE TABLE egp_ds_access_to_metadata (
    METADATA_ID              NUMBER(18, 0) ,
    OBJECT_CODE              VARCHAR2(400)     NOT NULL,
    GROUP_CODE               VARCHAR2(800)     NOT NULL,
    GROUP_TYPE               VARCHAR2(120) ,
    GROUP_INDEX              NUMBER(10, 0)     NOT NULL,
    BITMAP_MASK              VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    METADATA_ID              NUMBER(18, 0) ,
    OBJECT_CODE              VARCHAR2(400)     NOT NULL,
    GROUP_CODE               VARCHAR2(800)     NOT NULL,
    GROUP_TYPE               VARCHAR2(120) ,
    GROUP_INDEX              NUMBER(10, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    BITMAP_MASK              VARCHAR2(4000),
    CONSTRAINT pk_egp_ds_access_to_metadata PRIMARY KEY (METADATA_ID, METADATA_ID)
);
